'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.optionsFromSimple = undefined;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _nodeBits = require('node-bits');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var buildOrderByClause = function buildOrderByClause(orderBy) {
  if (!orderBy) {
    return undefined; // eslint-disable-line
  }

  return orderBy.split(',').map(function (item) {
    var parts = item.split(':');

    return {
      field: parts[0],
      direction: parts.length > 1 ? parts[1] : _nodeBits.ASC
    };
  });
};

var optionsFromSimple = exports.optionsFromSimple = function optionsFromSimple(req) {
  var where = _lodash2.default.omit(req.query, 'start', 'max', 'select', 'orderby', 'expand');

  return {
    start: req.query.start || 0,
    max: req.query.max || undefined, // eslint-disable-line
    select: req.query.select ? req.query.select.split(',') : undefined, // eslint-disable-line
    orderby: buildOrderByClause(req.query.orderby),
    where: where,
    expand: req.query.expand ? req.query.expand.split(',') : undefined // eslint-disable-line
  };
};